View Issue Details

IDProjectCategoryView StatusLast Update
0003403GNUnettransport servicepublic2018-06-07 00:25
ReporterMatthias WachsAssigned ToMatthias Wachs 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003403: Reliability / Quota compliance test fail
DescriptionLong lasting transport tests sending data fail atm:

- test_quota_compliance_tcp/udp/http/https
- test_transport_api_reliability_tcp/udp/http/https

- True for plugins having multiple addresses

Reason:
Transmitted data get mixed up due to address switch during transmission
TagsNo tags attached.

Relationships

child of 0001938 closedMatthias Wachs need test for transport switching session on 'SESSION_CONNECT' 

Activities

Matthias Wachs

2014-05-09 18:23

manager   ~0008312

May 09 18:21:21-694296 transport-24236 INFO We are now connected to peer `6ULB' and 1 peers in total
May 09 18:21:21-694323 transport-24236 INFO Neighbour `6ULB' changed state to S_CONNECTED with timeout Fri May 09 18:26:21 2014
May 09 18:21:21-695725 transport-24231 INFO Notifying ATS about peer `DJ5S''s new address `tcp.0.[2001:4ca0:2001:11:226:b9ff:fe7d:84ed]:12083' session 0x1c31d70 in network LAN
...
May 09 18:21:24-856771 transport-24236 INFO ATS suggests inbound address 'tcp.0.[::1]:41958' session 0x1c29ca0 for peer `6ULB' in state S_CONNECTED/SEND_SESSION_ACK (quota in/out 10000 10000 )
May 09 18:21:24-856805 transport-24236 INFO Blacklist accepted address `tcp.0.[::1]:41958' session 0x1c29ca0 for peer `6ULB'
May 09 18:21:24-856825 transport-24236 INFO Neighbour `6ULB' configured alternative address tcp.0.[::1]:41958
May 09 18:21:24-856869 transport-24236 INFO Neighbour `6ULB' changed state to S_CONNECTED_SWITCHING_CONNECT_SENT with timeout Fri May 09 18:21:39 2014
May 09 18:21:24-856881 transport-24236 INFO Sending SESSION_CONNECT message to peer `6ULB'
May 09 18:21:24-856942 transport-24231 INFO Received CONNECT message from peer `DJ5S' with `tcp.0.[::1]:12083' 0x1c31770
May 09 18:21:24-856963 transport-24231 INFO Sending CONNECT_ACK to peer `DJ5S'
May 09 18:21:24-856981 transport-24231 INFO Notifying ATS about peer `DJ5S''s new address `tcp.0.[::1]:12083' session 0x1c31770 in network LOOPBACK
May 09 18:21:24-857062 transport-24236 INFO Received CONNECT_ACK message from peer `6ULB'
May 09 18:21:24-857087 transport-24236 INFO Neighbour `6ULB' changed state to S_CONNECTED with timeout Fri May 09 18:26:24 2014
May 09 18:21:24-857106 transport-24231 INFO ATS suggests inbound address 'tcp.0.131.159.20.52:36230' session 0x1c33fd0 for peer `DJ5S' in state S_CONNECTED/SEND_SESSION_ACK (quota in/out 10000 10000 )
May 09 18:21:24-857122 transport-24231 INFO Blacklist accepted address `tcp.0.131.159.20.52:36230' session 0x1c33fd0 for peer `DJ5S'
May 09 18:21:24-857120 transport-24236 INFO Neighbour `6ULB' switched to address `tcp.0.[::1]:41958'
May 09 18:21:24-857133 transport-24231 INFO Neighbour `DJ5S' configured alternative address tcp.0.131.159.20.52:36230
May 09 18:21:24-857139 transport-24236 INFO Sending SESSION_ACK message to peer `6ULB'
May 09 18:21:24-857144 transport-24231 INFO Neighbour `DJ5S' changed state to S_CONNECTED_SWITCHING_CONNECT_SENT with timeout Fri May 09 18:21:39 2014
May 09 18:21:24-857154 transport-24231 INFO Sending SESSION_CONNECT message to peer `DJ5S'
May 09 18:21:24-857212 transport-24231 INFO Received SESSION_ACK message from peer `DJ5S'
May 09 18:21:24-857228 transport-24231 INFO Neighbour `DJ5S' changed state to S_CONNECTED with timeout Fri May 09 18:26:24 2014
May 09 18:21:24-857230 transport-24236 INFO Received CONNECT message from peer `6ULB' with `tcp.0.131.159.20.52:12057' 0x1c2b070
May 09 18:21:24-857246 transport-24236 INFO Sending CONNECT_ACK to peer `6ULB'
May 09 18:21:24-857261 transport-24236 INFO Notifying ATS about peer `6ULB''s new address `tcp.0.131.159.20.52:12057' session 0x1c2b070 in network LAN
May 09 18:21:24-857441 transport-24231 INFO Received CONNECT_ACK message from peer `DJ5S'
May 09 18:21:24-857464 transport-24231 INFO Sending SESSION_ACK message to peer `DJ5S'
May 09 18:21:24-857585 transport-24236 INFO Received SESSION_ACK message from peer `6ULB'
May 09 18:21:24-857619 transport-24236 INFO Neighbour `6ULB' changed state to S_CONNECTED with timeout Fri May 09 18:26:24 2014

May 09 18:21:25-321252 test_quota_compliance_tcp-24216 ERROR Expected message 13 of size 2205, got 6867 bytes of message 19
May 09 18:21:25-321419 test_quota_compliance_tcp-24216 ERROR Peers got connected

Matthias Wachs

2014-05-19 12:57

manager   ~0008353

Last edited: 2014-05-19 13:02

View 2 revisions

This issue is caused by ordering of packets:

mwachs@fulcrum:~/coding/gnunet/src/transport$ ./test_quota_compliance_tcp

May 19 12:50:59-421867 test_quota_compliance_tcp-11081 ERROR Sending message 0 of size 8 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-422065 transport-11101 ERROR Enqueueing 8 bytes to send to peer 6ULB
May 19 12:50:59-422101 transport-11101 ERROR Giving message with 8 bytes to plugin session 0x1e334a0
May 19 12:50:59-422137 transport-tcp-11101 ERROR Transmitting message of type 12345 size 8
May 19 12:50:59-422146 transport-tcp-11101 ERROR Transmitting message of type 381 size 8
May 19 12:50:59-422156 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 8 bytes was a success
May 19 12:50:59-422209 transport-tcp-11096 ERROR Passing 8 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:50:59-422249 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 3160 ms
May 19 12:50:59-422343 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 0 of size 8 from peer (`DJ5S')
May 19 12:50:59-422727 test_quota_compliance_tcp-11081 ERROR Sending message 1 of size 9 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-422791 transport-11101 ERROR Enqueueing 9 bytes to send to peer 6ULB
May 19 12:50:59-422820 transport-11101 ERROR Giving message with 9 bytes to plugin session 0x1e334a0
May 19 12:50:59-422842 transport-tcp-11101 ERROR Transmitting message of type 12345 size 9
May 19 12:50:59-422854 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 9 bytes was a success
May 19 12:50:59-424396 test_quota_compliance_tcp-11081 ERROR Sending message 2 of size 16 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-424467 transport-11101 ERROR Enqueueing 16 bytes to send to peer 6ULB
May 19 12:50:59-424495 transport-11101 ERROR Giving message with 16 bytes to plugin session 0x1e334a0
May 19 12:50:59-424517 transport-tcp-11101 ERROR Transmitting message of type 12345 size 16
May 19 12:50:59-424529 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 16 bytes was a success
May 19 12:50:59-427816 test_quota_compliance_tcp-11081 ERROR Sending message 3 of size 35 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-427887 transport-11101 ERROR Enqueueing 35 bytes to send to peer 6ULB
May 19 12:50:59-427916 transport-11101 ERROR Giving message with 35 bytes to plugin session 0x1e334a0
May 19 12:50:59-427938 transport-tcp-11101 ERROR Transmitting message of type 12345 size 35
May 19 12:50:59-427950 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 35 bytes was a success
May 19 12:50:59-435052 test_quota_compliance_tcp-11081 ERROR Sending message 4 of size 72 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-435129 transport-11101 ERROR Enqueueing 72 bytes to send to peer 6ULB
May 19 12:50:59-435159 transport-11101 ERROR Giving message with 72 bytes to plugin session 0x1e334a0
May 19 12:50:59-435184 transport-tcp-11101 ERROR Transmitting message of type 12345 size 72
May 19 12:50:59-435196 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 72 bytes was a success
May 19 12:50:59-448479 test_quota_compliance_tcp-11081 ERROR Sending message 5 of size 133 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-448595 transport-11101 ERROR Enqueueing 133 bytes to send to peer 6ULB
May 19 12:50:59-448625 transport-11101 ERROR Giving message with 133 bytes to plugin session 0x1e334a0
May 19 12:50:59-448650 transport-tcp-11101 ERROR Transmitting message of type 12345 size 133
May 19 12:50:59-448662 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 133 bytes was a success
May 19 12:50:59-470857 test_quota_compliance_tcp-11081 ERROR Sending message 6 of size 224 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-470981 transport-11101 ERROR Enqueueing 224 bytes to send to peer 6ULB
May 19 12:50:59-471012 transport-11101 ERROR Giving message with 224 bytes to plugin session 0x1e334a0
May 19 12:50:59-471037 transport-tcp-11101 ERROR Transmitting message of type 12345 size 224
May 19 12:50:59-471050 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 224 bytes was a success
May 19 12:50:59-505954 test_quota_compliance_tcp-11081 ERROR Sending message 7 of size 351 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-506068 transport-11101 ERROR Enqueueing 351 bytes to send to peer 6ULB
May 19 12:50:59-506117 transport-11101 ERROR Giving message with 351 bytes to plugin session 0x1e334a0
May 19 12:50:59-506143 transport-tcp-11101 ERROR Transmitting message of type 12345 size 351
May 19 12:50:59-506155 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 351 bytes was a success
May 19 12:50:59-557980 test_quota_compliance_tcp-11081 ERROR Sending message 8 of size 520 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-558095 transport-11101 ERROR Enqueueing 520 bytes to send to peer 6ULB
May 19 12:50:59-558144 transport-11101 ERROR Giving message with 520 bytes to plugin session 0x1e334a0
May 19 12:50:59-558185 transport-tcp-11101 ERROR Transmitting message of type 12345 size 520
May 19 12:50:59-558205 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 520 bytes was a success
May 19 12:50:59-631654 test_quota_compliance_tcp-11081 ERROR Sending message 9 of size 737 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-631745 transport-11101 ERROR Enqueueing 737 bytes to send to peer 6ULB
May 19 12:50:59-631775 transport-11101 ERROR Giving message with 737 bytes to plugin session 0x1e334a0
May 19 12:50:59-631817 transport-tcp-11101 ERROR Transmitting message of type 12345 size 737
May 19 12:50:59-631839 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 737 bytes was a success
May 19 12:50:59-732412 test_quota_compliance_tcp-11081 ERROR Sending message 10 of size 1008 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-732537 transport-11101 ERROR Enqueueing 1008 bytes to send to peer 6ULB
May 19 12:50:59-732569 transport-11101 ERROR Giving message with 1008 bytes to plugin session 0x1e334a0
May 19 12:50:59-732594 transport-tcp-11101 ERROR Transmitting message of type 12345 size 1008
May 19 12:50:59-732607 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 1008 bytes was a success
May 19 12:50:59-866296 test_quota_compliance_tcp-11081 ERROR Sending message 11 of size 1339 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:50:59-866424 transport-11101 ERROR Enqueueing 1339 bytes to send to peer 6ULB
May 19 12:50:59-866455 transport-11101 ERROR Giving message with 1339 bytes to plugin session 0x1e334a0
May 19 12:50:59-866481 transport-tcp-11101 ERROR Transmitting message of type 12345 size 1339
May 19 12:50:59-866494 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 1339 bytes was a success
May 19 12:51:00-039933 test_quota_compliance_tcp-11081 ERROR Sending message 12 of size 1736 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:00-040053 transport-11101 ERROR Enqueueing 1736 bytes to send to peer 6ULB
May 19 12:51:00-040102 transport-11101 ERROR Giving message with 1736 bytes to plugin session 0x1e334a0
May 19 12:51:00-040129 transport-tcp-11101 ERROR Transmitting message of type 12345 size 1736
May 19 12:51:00-040142 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 1736 bytes was a success

--> May 19 12:51:00-260431 test_quota_compliance_tcp-11081 ERROR Sending message 13 of size 2205 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
--> May 19 12:51:00-260549 transport-11101 ERROR Enqueueing 2205 bytes to send to peer 6ULB
--> May 19 12:51:00-260598 transport-11101 ERROR Giving message with 2205 bytes to plugin session 0x1e334a0
--> May 19 12:51:00-260636 transport-tcp-11101 ERROR Transmitting message of type 12345 size 2205
--> May 19 12:51:00-260650 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 2205 bytes was a success

.May 19 12:51:00-535524 test_quota_compliance_tcp-11081 ERROR Sending message 14 of size 2752 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:00-535704 transport-11101 ERROR Enqueueing 2752 bytes to send to peer 6ULB
May 19 12:51:00-535780 transport-11101 ERROR Giving message with 2752 bytes to plugin session 0x1e334a0
May 19 12:51:00-535847 transport-tcp-11101 ERROR Transmitting message of type 12345 size 2752
May 19 12:51:00-535877 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 2752 bytes was a success
May 19 12:51:00-873941 test_quota_compliance_tcp-11081 ERROR Sending message 15 of size 3383 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:00-874098 transport-11101 ERROR Enqueueing 3383 bytes to send to peer 6ULB
May 19 12:51:00-874150 transport-11101 ERROR Giving message with 3383 bytes to plugin session 0x1e334a0
May 19 12:51:00-874189 transport-tcp-11101 ERROR Transmitting message of type 12345 size 3383
May 19 12:51:00-874211 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 3383 bytes was a success
May 19 12:51:01-284316 test_quota_compliance_tcp-11081 ERROR Sending message 16 of size 4104 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:01-284501 transport-11101 ERROR Enqueueing 4104 bytes to send to peer 6ULB
May 19 12:51:01-284549 transport-11101 ERROR Giving message with 4104 bytes to plugin session 0x1e334a0
May 19 12:51:01-284607 transport-tcp-11101 ERROR Transmitting message of type 12345 size 4104
May 19 12:51:01-284627 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 4104 bytes was a success
.May 19 12:51:01-776373 test_quota_compliance_tcp-11081 ERROR Sending message 17 of size 4921 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:01-776562 transport-11101 ERROR Enqueueing 4921 bytes to send to peer 6ULB
May 19 12:51:01-776627 transport-11101 ERROR Giving message with 4921 bytes to plugin session 0x1e334a0
May 19 12:51:01-776660 transport-tcp-11101 ERROR Transmitting message of type 12345 size 4921
May 19 12:51:01-776674 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 4921 bytes was a success
May 19 12:51:02-360602 test_quota_compliance_tcp-11081 ERROR Sending message 18 of size 5840 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:02-360805 transport-11101 ERROR Enqueueing 5840 bytes to send to peer 6ULB
May 19 12:51:02-360859 transport-11101 ERROR Giving message with 5840 bytes to plugin session 0x1e334a0
May 19 12:51:02-360904 transport-tcp-11101 ERROR Transmitting message of type 12345 size 5840
May 19 12:51:02-360927 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 5840 bytes was a success
.May 19 12:51:02-583666 transport-tcp-11096 ERROR Passing 8 bytes of type 381 from `DJ5S' to transport service.
May 19 12:51:02-583742 transport-tcp-11096 ERROR Transmitting message of type 382 size 8
May 19 12:51:02-583810 transport-tcp-11096 ERROR Passing 9 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-583837 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 200 µs
May 19 12:51:02-583851 transport-tcp-11101 ERROR Passing 8 bytes of type 382 from `6ULB' to transport service.
May 19 12:51:02-583985 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 1 of size 9 from peer (`DJ5S')
May 19 12:51:02-584124 transport-tcp-11101 ERROR Transmitting message of type 375 size 16
May 19 12:51:02-584184 transport-tcp-11096 ERROR Passing 16 bytes of type 375 from `DJ5S' to transport service.
May 19 12:51:02-584245 transport-tcp-11096 ERROR Transmitting message of type 376 size 16
May 19 12:51:02-584280 transport-tcp-11096 ERROR Passing 16 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-584300 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 1300 µs
May 19 12:51:02-584368 transport-tcp-11101 ERROR Passing 16 bytes of type 376 from `6ULB' to transport service.
May 19 12:51:02-584423 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 2 of size 16 from peer (`DJ5S')
May 19 12:51:02-584478 transport-tcp-11101 ERROR Transmitting message of type 377 size 4
May 19 12:51:02-584489 transport-tcp-11096 ERROR Transmitting message of type 375 size 16
May 19 12:51:02-584537 transport-tcp-11101 ERROR Passing 16 bytes of type 375 from `6ULB' to transport service.
May 19 12:51:02-584544 transport-tcp-11096 ERROR Passing 4 bytes of type 377 from `DJ5S' to transport service.
May 19 12:51:02-584576 transport-tcp-11101 ERROR Transmitting message of type 376 size 16
May 19 12:51:02-584629 transport-tcp-11096 ERROR Passing 16 bytes of type 376 from `DJ5S' to transport service.
May 19 12:51:02-584675 transport-tcp-11096 ERROR Transmitting message of type 377 size 4
May 19 12:51:02-584723 transport-tcp-11101 ERROR Passing 4 bytes of type 377 from `6ULB' to transport service.
May 19 12:51:02-585760 transport-tcp-11096 ERROR Passing 35 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-585805 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 3300 µs
May 19 12:51:02-585957 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 3 of size 35 from peer (`DJ5S')
May 19 12:51:02-589337 transport-tcp-11096 ERROR Passing 72 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-589390 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 6 ms
May 19 12:51:02-589582 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 4 of size 72 from peer (`DJ5S')
May 19 12:51:02-596428 transport-tcp-11096 ERROR Passing 133 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-596465 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 13 ms
May 19 12:51:02-596555 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 5 of size 133 from peer (`DJ5S')
May 19 12:51:02-609804 transport-tcp-11096 ERROR Passing 224 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-609854 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 22 ms
May 19 12:51:02-609967 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 6 of size 224 from peer (`DJ5S')
May 19 12:51:02-632162 transport-tcp-11096 ERROR Passing 351 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-632215 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 34 ms
May 19 12:51:02-632386 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 7 of size 351 from peer (`DJ5S')
May 19 12:51:02-667277 transport-tcp-11096 ERROR Passing 520 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-667327 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 51 ms
May 19 12:51:02-667471 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 8 of size 520 from peer (`DJ5S')
May 19 12:51:02-719290 transport-tcp-11096 ERROR Passing 737 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-719341 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 73 ms
May 19 12:51:02-719494 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 9 of size 737 from peer (`DJ5S')
May 19 12:51:02-793025 transport-tcp-11096 ERROR Passing 1008 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-793078 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 100 ms
May 19 12:51:02-793221 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 10 of size 1008 from peer (`DJ5S')
May 19 12:51:02-893855 transport-tcp-11096 ERROR Passing 1339 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:02-893912 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 133 ms
May 19 12:51:02-894062 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 11 of size 1339 from peer (`DJ5S')
May 19 12:51:03-027858 transport-tcp-11096 ERROR Passing 1736 bytes of type 12345 from `DJ5S' to transport service.
May 19 12:51:03-027909 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 173 ms
May 19 12:51:03-028052 test_quota_compliance_tcp-11081 ERROR Peer 1 (`6ULB') got message 12 of size 1736 from peer (`DJ5S')

--> May 19 12:51:03-046635 test_quota_compliance_tcp-11081 ERROR Sending message 19 of size 6867 from peer 2 (`DJ5S') -> peer 1 (`6ULB') !
May 19 12:51:03-046855 transport-11101 ERROR Enqueueing 6867 bytes to send to peer 6ULB
--> May 19 12:51:03-046911 transport-11101 ERROR Giving message with 6867 bytes to plugin session 0x1e32da0
May 19 12:51:03-046965 transport-tcp-11101 ERROR Transmitting message of type 12345 size 6867
May 19 12:51:03-046986 transport-11101 ERROR Sending message to `6ULB' of type 12345 with 6867 bytes was a success
--> May 19 12:51:03-047102 transport-tcp-11096 ERROR Passing 6867 bytes of type 12345 from `DJ5S' to transport service.
--> May 19 12:51:03-047167 transport-tcp-11096 ERROR Throttling receiving from `DJ5S' for 840 ms

May 19 12:51:03-047301 test_quota_compliance_tcp-11081 ERROR Expected message 13 of size 2205, got 6867 bytes of message 19
May 19 12:51:03-047350 test_quota_compliance_tcp-11081 ERROR Peers got connected

Matthias Wachs

2014-05-19 12:59

manager   ~0008354

We have a address switch when connected:
The issue here is that message 19 arrive before message 13:

Message 13 was sent with the original session and reading was delayed with this session.

Message 19 was sent with the new session where the reading is not yet throtteled (since throtteling occurs on first recv->env callback)

Matthias Wachs

2014-05-19 13:10

manager   ~0008355

In reliability_https:

We are switching addresses when connected ...

We sent the first 136 messages with old session
and message 137 with new session

Message 137 arrives before message 136 (due to empty queue)

Matthias Wachs

2014-05-20 13:39

manager   ~0008359

In-order delivery is not required ... updated tests to reflect this requirement.

Issue History

Date Modified Username Field Change
2014-05-09 18:21 Matthias Wachs New Issue
2014-05-09 18:21 Matthias Wachs Status new => assigned
2014-05-09 18:21 Matthias Wachs Assigned To => Matthias Wachs
2014-05-09 18:23 Matthias Wachs Note Added: 0008312
2014-05-09 18:24 Matthias Wachs Relationship added child of 0001938
2014-05-19 12:57 Matthias Wachs Note Added: 0008353
2014-05-19 12:59 Matthias Wachs Note Added: 0008354
2014-05-19 13:02 Matthias Wachs Note Edited: 0008353 View Revisions
2014-05-19 13:10 Matthias Wachs Note Added: 0008355
2014-05-19 13:10 Matthias Wachs Status assigned => feedback
2014-05-20 13:39 Matthias Wachs Note Added: 0008359
2014-05-20 13:39 Matthias Wachs Status feedback => assigned
2014-05-20 13:39 Matthias Wachs Status assigned => resolved
2014-05-20 13:39 Matthias Wachs Resolution open => fixed
2014-09-30 10:34 Christian Grothoff Product Version => SVN HEAD
2014-09-30 10:34 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:34 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed